import java.io.OutputStream;
import java.io.IOException;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

import org.apache.xml.serialize.Method;
import org.apache.xml.serialize.OutputFormat;
import org.apache.xml.serialize.XMLSerializer;

public class XMLOut {

    protected OutputStream  outStream;

    public XMLOut(OutputStream outStream) {
        super();

        this.outStream = outStream;

    } //Konstruktor(OutputStream)


    protected void writeXml(Document doc) {
        XMLSerializer    lvXMLWriter = null;


        lvXMLWriter = new XMLSerializer(outStream, this.getOutputFormat());

        try {
            System.out.println("Start XMLOut");
            lvXMLWriter.serialize(doc);
            System.out.println("Ende XMLOut");
        } catch(IOException e) {
            System.err.println(e);
        } finally {
            try {
                outStream.flush();
            } catch(IOException e) {;}
        } //finally

    } //writeXml(Document)

    private OutputFormat getOutputFormat() {
        OutputFormat        lvResult;
        String              lvString;

        lvResult  = new OutputFormat(Method.XML, "ISO-8859-1", true);
        //lvResult.setDoctype(null, lvString);

        return lvResult;

    } //getOutputFormat()
} //DOMResultWriter